## pyaps3 0.3.2

=== requirements.txt ===
# for running
cdsapi
matplotlib
numpy
pygrib
scipy
urllib3
#netcdf4  #for MERRA, which is currently not supported
#pyhdf    #for MERRA, which is currently not supported
# for packaging and installation
pip
setuptools
setuptools_scm
wheel

## pyaps3 0.3.1

=== debian/changelog ===
pyaps3 (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild with source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 05 Jun 2022 06:29:02 +0200

pyaps3 (0.3.1-1) unstable; urgency=low

  * Initial version (Closes: #1010702).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 May 2022 17:14:26 +0000

=== debian/control ===
Source: pyaps3
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-cdsapi,
               python3-grib,
               python3-hdf4,
               python3-matplotlib,
               python3-netcdf4,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               python3-urllib3
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyaps3
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyaps3.git
Homepage: https://github.com/insarlab/PyAPS

Package: python3-pyaps3
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-cdsapi,
         python3-grib,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-urllib3
Suggests: python3-hdf4,
          python3-netcdf4
Description: Python based Atmospheric Phase Screen Estimation
 This Python 3 module estimates differential phase delay maps due to
 the stratified atmosphere for correcting radar interferograms.
 It is rewritten in Python 3 language from PYAPS source code and
 adapted for ECMWF's ERA-5 corrections.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyaps3

%:
	dh $@ --with python3 --buildsystem=pybuild

## pyaps3 0.3.2

=== debian/changelog ===
pyaps3 (0.3.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * debian/patches:
    - drop 0001-Fix-indentation.patch, impacted files removed
      upstream.
  * debian/rules:
    - Set SETUPTOOLS_SCM_PRETEND_VERSION.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Dec 2022 09:52:33 +0000

pyaps3 (0.3.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Oct 2022 16:19:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cdsapi,
                python3-grib,
@@ -17,7 +18,7 @@
                python3-scipy,
                python3-setuptools,
                python3-urllib3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyaps3
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyaps3.git
 Homepage: https://github.com/insarlab/PyAPS
@@ -29,7 +30,6 @@
          python3-cdsapi,
          python3-grib,
          python3-matplotlib,
-         python3-numpy,
          python3-scipy,
          python3-urllib3
 Suggests: python3-hdf4,

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=pyaps3

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

## pyaps3 0.3.4

=== debian/changelog ===
pyaps3 (0.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Jun 2024 08:02:17 +0000

pyaps3 (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2024 05:57:06 +0000

pyaps3 (0.3.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * Switch to autopkgtest-pkg-pybuild.
  * New d/python3-pyaps3.lintian-overrides file.
  * Add build dependency on python3-setuptools-scm.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:20:56 +0000

## pyaps3 0.3.5

=== requirements.txt ===
cdsapi>=0.7.0
numpy
pygrib
scipy
urllib3
#netcdf4  #for MERRA, which is currently not supported
#pyhdf    #for MERRA, which is currently not supported

=== debian/changelog ===
pyaps3 (0.3.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Update dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 13:03:00 +0000

## pyaps3 0.3.6

=== debian/changelog ===
pyaps3 (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Feb 2025 08:50:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-cdsapi,
@@ -17,8 +19,9 @@
                python3-numpy,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-urllib3
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyaps3
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyaps3.git
 Homepage: https://github.com/insarlab/PyAPS
@@ -29,9 +32,9 @@
          ${misc:Depends},
          python3-cdsapi,
          python3-grib,
-         python3-matplotlib,
          python3-scipy,
          python3-urllib3
+Recommends: python3-matplotlib
 Suggests: python3-hdf4,
           python3-netcdf4
 Description: Python based Atmospheric Phase Screen Estimation

## pyaps3 0.3.7

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cdsapi>=0.7.0
+cdsapi>=0.7.2
 numpy
 pygrib
 scipy

=== tests/requirements.txt ===
matplotlib
pip
setuptools
setuptools_scm
wheel

=== debian/changelog ===
pyaps3 (0.3.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debia/upstream/metadata:
    - Fix Cite-As syntax.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 07:25:40 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-urllib3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyaps3
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyaps3.git
 Homepage: https://github.com/insarlab/PyAPS

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export PYBUILD_NAME=pyaps3
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyaps)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyaps-$1.$2/ \
https://github.com/insarlab/pyaps/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyaps)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
